Last modified: 2014-10-01 15:18:11 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37154 - Modify Collection format variables from PDF to ODT for Tamil Wikiprojects
Modify Collection format variables from PDF to ODT for Tamil Wikiprojects
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://ta.wikipedia.org/wiki/%E0%AE%B...
: i18n, shell
Depends on:
Blocks: 32578 37277
  Show dependency treegraph
 
Reported: 2012-05-28 05:16 UTC by Srikanth Logic
Modified: 2014-10-01 15:18 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Srikanth Logic 2012-05-28 05:16:41 UTC
It is known that PDF rendering for complex scripts is buggy / yet to be implemented properly.See bug 28206. Tamil WikiSource, Wikinews, Wikibooks currently use Collection extension and has the default link on the portlet as PDF only. Since PDF is buggy, please modify the configuration to display ODT for Tamil wiki projects on the portlet instead of PDF. Community concensus for installing on Tamil Wikipedia(another bug will be filed soon for it) is going on (see URL) and the need to change wikinews was brought up there. I am putting down the possible config changes required as I was not sure of the usage between $wmg and $wg. I am also assuming the mw-render has odf as one of the available output formats.

$wgCollectionPortletFormats = array(
          'default' => array(
          'rl',
          ),
          'tawikibooks' => array(
          #'rl' for future use after bug 28206
          'odf',
          )
          'tawikisource' =>array(
          #'rl' for future use after bug 28206
          'odf',
          ),
          'tawikinews' => array(
          #'rl' for future use after bug 28206
          'odf', 
          ),
);
Comment 1 Sam Reed (reedy) 2012-06-01 19:16:23 UTC
Done
Comment 2 Srikanth Logic 2012-06-01 19:30:07 UTC
2 Things. I am still getting PDF on the site and I think the reason is due to the typo below.

In CommonSettings.php I think its

1. $wgCollectionPortletFormat*s* = $wmgCollectionPortletFormats;
2. 'tawikiwikibooks' => array( 'odf' ),

o_O. Just 'tawikibooks' please.

Thanks
Comment 3 Sam Reed (reedy) 2012-06-01 19:35:23 UTC
Bleh. Fixed
Comment 4 C. Scott Ananian 2014-10-01 15:18:11 UTC
Just as a heads up: the new PDF renderer should render Tamil correctly now -- and the old ODF renderer is going to be shut down on Oct 3.  So I'm about to remove ODF from the configuration for the Tamil projects.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links